Bug 1255606 - [de_DE][Admin portal] Truncation observed in language drop-down on login page
[de_DE][Admin portal] Truncation observed in language drop-down on login page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
All Linux
medium Severity medium
: ovirt-3.6.1
: ---
Assigned To: Greg Sheremeta
Lukas Svaty
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 02:39 EDT by Bhushan Barve
Modified: 2016-04-12 17:25 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 17:25:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
de_DE language drop-down truncation (110.60 KB, image/png)
2015-08-21 02:40 EDT, Bhushan Barve
no flags Details
fixed (476.61 KB, image/png)
2015-10-08 12:39 EDT, Greg Sheremeta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47143 master MERGED userportal, webadmin: fix login form locale box Never
oVirt gerrit 47145 ovirt-engine-3.6 MERGED userportal, webadmin: fix login form locale box Never

  None (edit)
Description Bhushan Barve 2015-08-21 02:39:37 EDT
Description of problem: Truncation is observed in the language selection drop-down on the login page of Admin portal for de_DE locale. The language name can be seen as truncated in the attached screenshot.


Version-Release number of selected component (if applicable):
Version 3.6.0-0.11.master.el6

How reproducible:
always

Steps to Reproduce:
1. access the login page of admin portal in de_DE
2. observe the language selection drop-down.
3.

Actual results:
Truncation can be seen for German language.

Expected results:
There should not be any truncation.

Additional info:
Comment 1 Bhushan Barve 2015-08-21 02:40:09 EDT
Created attachment 1065446 [details]
de_DE language drop-down truncation
Comment 2 Einav Cohen 2015-08-22 09:13:49 EDT
Happens only on certain widths;
@Greg - anything that we can do about it? maybe grant the drop-down another bootstrap-grid-column or something similar?
Comment 3 Greg Sheremeta 2015-10-08 12:36:29 EDT
> grant the drop-down another bootstrap-grid-column

Indeed. Patch posted.
Comment 4 Greg Sheremeta 2015-10-08 12:39 EDT
Created attachment 1081057 [details]
fixed
Comment 5 Einav Cohen 2015-11-02 10:55:18 EST
fixed and backported to 3.6 (not in time for 3.6.0, but this is not a 3.6.0 blocker anyway) -> moving to MODIFIED, changing target milestone to ovirt-3.6.1.
Comment 6 Lukas Svaty 2015-11-26 07:49:28 EST
verified in rhevm-3.6.1-0.2.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.